Subject: Re: bug#8562: Emacs 23.1 and later don't work in windows 98

From: oslsachem <[email-masked]>
Date: Wed, 25 May 2011 04:01:22 +0200

> Which means the value of height is non-positive.  So please go to
> frame #1 and show the values of height, w->total_lines and
> w->total_cols ...

> ... the function make_frame was
> supposed to set this window (the root window of the newly created
> frame) to 10x10 dimensions, around line 385:
>
>  /* 10 is arbitrary,
>     just so that there is "something there."
>     Correct size will be set up later with change_frame_size.  */
>
>  SET_FRAME_COLS (f, 10);
>  FRAME_LINES (f) = 10;
>
>  XSETFASTINT (XWINDOW (root_window)->total_cols, 10);
>  XSETFASTINT (XWINDOW (root_window)->total_lines, (mini_p ? 9 : 10));
>
> If total_lines and total_cols get the right values here, then please
> set a watchpoint on these fields, or step through the code between the
> above and where it aborts, and see where they are reset to zero.

http://www.speedyshare.com/files/28632428/Emacs-23.3GDBframe1.txt

greetings,
                 Osl